---
title: Notification.icon
slug: Web/API/Notification/icon
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - icon
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>icon</code></strong> read-only property of the {{domxref("Notification")}} interface contains the URL of an icon to be displayed as part of the notification, as specified in the <code>icon</code> option of the {{domxref("Notification.Notification","Notification()")}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>icon</var> = <var>Notification</var>.icon;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<p>In our <a class="external external-icon" href="https://github.com/mdn/to-do-notifications/tree/gh-pages" rel="noopener">To-do list app</a> (<a class="external external-icon" href="https://mdn.github.io/to-do-notifications/" rel="noopener">view the app running live</a>), we use the {{domxref("Notification.Notification","Notification()")}} constructor to fire a notification, passing it arguments to specify the body, icon and title we want.</p>

<pre class="brush: js notranslate">var notification = new Notification('To do list', {
  body: text,
  icon: img
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-icon','icon')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.icon")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
